﻿@model IEnumerable<SYM.DataAccessLayer.user_wishlist>

<table class="table table-striped table-hover table-bordered" id="dynamic_editable_3">
    <thead>
        <tr>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Mountain / @SYM.Localization.Resources.Views.Profile.Adventure.Route </th>
            <th> Score </th>
            <th> @SYM.Localization.Resources.Views.Profile.Adventure.Ascent </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr id="@(item.mountain_id.GetValueOrDefault())-@(item.route_id)-@(item.accomodation_id.GetValueOrDefault())">
                <td>
                    @if (item.route == null)
                    {
                        <a target="_blank" href="@Url.Action("Details","Mountain").Replace("Details","")@item.mountain_id-@item.mountain.mntn_name.Replace(" ","").Replace("-","_").Replace("&","").Replace("/","").Replace(".","")">
                            <i class="fa fa-angle-double-right"></i>
                        </a>
                        <strong>
                            @Html.DisplayFor(modelItem => item.mountain.mntn_name)
                        </strong>
                        <small>
                            - @item.mountain.mntn_altitude m. (
                            @if (item.mountain.mntn_mountainrange != null)
                            {
                                @(item.mountain.mntn_mountainrange.mntnRange_name)
                            })
                        </small>
                    }
                    else if (item.route != null)
                    {
                        <strong>
                            @if (item.route.mountain != null)
                            {
                                @Html.DisplayFor(modelItem => item.route.mountain.mntn_name)
                            }
                            else if (item.route.valley_id != null)
                            {
                                @Html.DisplayFor(modelItem => item.route.valley.valley_name)
                            }
                            else if (item.route.mntnGroup_id != null)
                            {
                                @Html.DisplayFor(modelItem => item.route.mntn_mountaingroup.mntnGroup_name)
                            }
                        </strong>
                        <small>
                        -    
                        <a href='/Route/@item.route.id-@Uri.EscapeDataString(item.route.route_name.Replace(" ","").Replace("-","_").Replace("&",""))'>
                            @Html.DisplayFor(modelItem => item.route.route_name)
                        </a>
                        </small>
                    }
                </td>
                <td>
                    @Html.DropDownList("wl_score", new SelectList((IEnumerable<SelectListItem>)ViewBag.rating,"Value","Text", item.wl_score.ToString()), new { id="rating_"+ item.id, @class = "rating-stars", @style = "display: inline-block;" })
                </td>
                <td class="center">
                    @if (item.wl_done == true && item.wl_dateAscent != null)
                    {
                        @String.Format("{0:dd/MM/yyyy}", item.wl_dateAscent)
                    }
                </td>
                <td class="text-center">
                    <a href="/it/Profile/_EditAdventure/@item.id" data-target="#myModal" class="editAdventure">
                        <i class="fa fa-pencil"></i>
                    </a>
                    <a class="delete" href="javascript:;">
                        <i class="fa fa-trash-o"></i>
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>
